Get operation
curl --request GET \
--url https://api.aireserve.com/v1/gpu/operations/{operationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/operations/{operationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "pod",
"action": "<string>",
"state": "pending",
"status": "pending",
"errorMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "<string>",
"actor": "customer",
"message": "<string>",
"next": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}GPU Infrastructure
Get operation
Poll an asynchronous operation. Terminal statuses: succeeded, failed, cancelled. Requires compute read access.
GET
/
v1
/
gpu
/
operations
/
{operationId}
Get operation
curl --request GET \
--url https://api.aireserve.com/v1/gpu/operations/{operationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/operations/{operationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "pod",
"action": "<string>",
"state": "pending",
"status": "pending",
"errorMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "<string>",
"actor": "customer",
"message": "<string>",
"next": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Path Parameters
Response
OK
An asynchronous Compute operation record.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Alias for id.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
pod, volume, cluster, template, registry, ssh_key Operation action, e.g. pod_create, pod_stop, cluster_create, cluster_terminate, volume_delete, registry_rotate.
Alias for status.
Available options:
pending, in_progress, succeeded, failed, cancelled, reconciling Terminal: succeeded, failed, cancelled.
Available options:
pending, in_progress, succeeded, failed, cancelled, reconciling Sanitized failure reason. Never raw provider text or secrets.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Structured reading of errorMessage once the operation is failed or cancelled; null otherwise.
Show child attributes
Show child attributes